Skip Menu |
 

This queue is for tickets about the Tree-DAG_Node CPAN distribution.

Report information
The Basics
Id: 88435
Status: resolved
Worked: 15 min
Priority: 0/
Queue: Tree-DAG_Node

People
Owner: Nobody in particular
Requestors: ribasushi [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: (no value)
Fixed in: (no value)



Subject: Latest version has many superfluous dependencies, effectively makes dist require 5.8.4
Download (untitled) / with headers
text/plain 477b
The reason this is a non-trivial issue, is that Tree::DAG_Node is a direct dependency of Test::Warn, which makes it an indirect dependency of 250+ CPAN modules (and probably much more due to further indirection): http://deps.cpantesters.org/depended-on-by.pl?dist=Test-Warn-0.24 If you are not principally opposed to keeping Tree::DAG_Node lean in light of the above, I can contribute the necessary fixes this weekend (though you don't seem to have a public VCS repo). Cheers
Subject: Latest version has many superfluous dependencies, effectively makes dist require 5.12
Download (untitled) / with headers
text/plain 285b
The problem is atually more serious - autodie (one of your indirect prereqs) does not even work on 5.10 these days it seems :( https://s3.amazonaws.com/archive.travis-ci.org/jobs/11008110/log.txt This is not a direct fault of your module, mind, autodie needs some TLC as well sigh :(
Download (untitled) / with headers
text/plain 301b
On Thu Sep 05 05:45:14 2013, RIBASUSHI wrote: Show quoted text
> The problem is atually more serious - autodie (one of your indirect > prereqs) does not even work on 5.10 these days it seems :( >
Nevermind, this is a problem with autodie conflicting with latest Carp: https://rt.cpan.org/Ticket/Display.html?id=88076
Download (untitled) / with headers
text/plain 614b
On Thu Sep 05 05:30:49 2013, RIBASUSHI wrote: Show quoted text
> The reason this is a non-trivial issue, is that Tree::DAG_Node is a > direct dependency of Test::Warn, which makes it an indirect dependency > of 250+ CPAN modules (and probably much more due to further > indirection): http://deps.cpantesters.org/depended-on-by.pl?dist=Test- > Warn-0.24
Haarg was awesome enough to try to address this on a higher level: https://github.com/chorny/test-warn/pull/4. If CHORNY accepts this change, then you won't really need to do anything, as Tree::DAG_Node will be removed from its low position in the global CPAN depchain. Cheers
Subject: Re: [rt.cpan.org #88435] Latest version has many superfluous dependencies, effectively makes dist require 5.8.4
Date: Fri, 06 Sep 2013 08:16:27 +1000
To: bug-Tree-DAG_Node [...] rt.cpan.org
From: Ron Savage <ron [...] savage.net.au>
Download (untitled) / with headers
text/plain 1.9k
Hi Peter I received your 4 emails. More below. On 05/09/13 19:30, Peter Rabbitson via RT wrote: Show quoted text
> Thu Sep 05 05:30:49 2013: Request 88435 was acted upon. > Transaction: Ticket created by RIBASUSHI > Queue: Tree-DAG_Node > Subject: Latest version has many superfluous dependencies, effectively > makes dist require 5.8.4 > Broken in: (no value) > Severity: Important > Owner: Nobody > Requestors: ribasushi@cpan.org > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=88435 > > > > The reason this is a non-trivial issue, is that Tree::DAG_Node is a direct dependency of Test::Warn, which makes it an indirect dependency of 250+ CPAN modules (and probably much more due to further indirection): http://deps.cpantesters.org/depended-on-by.pl?dist=Test-Warn-0.24 > > If you are not principally opposed to keeping Tree::DAG_Node lean in light of the above, I can contribute the necessary fixes this weekend (though you don't seem to have a public VCS repo).
I am trying to keep Tree::DAG_Node's pre-reqs down to what I deem to be a reasonable number. See (validate.build.make.pl being home-grown): $ validate.build.make.pl Tree::DAG_Node Required: ExtUtils::MakeMaker => 6.68 File::Temp => 0.2301 Module::Build => 0.4005 Path::Tiny => 0.025 Perl6::Slurp => 0.051003 Test::More => 0.98 open => 1.08 perl => undef strict => 1.04 warnings => 1.12 Required but not in Makefile.PL ExtUtils::MakeMaker (My code always reports this) Module::Build (ditto) In Makefile.PL but not required Required but not in Build.PL ExtUtils::MakeMaker (ditto) In Build.PL but not required So, there seems to be some mis-understanding here, perhaps by me. If I can do something to ease this problem I will. I admit not cross-checking the requirements of each pre-req. I'll do that today. And I would like to hear suggestions as to what modules I should replace to reduce the dependency chain. Cheers -- Ron Savage http://savage.net.au/ Ph: 0421 920 622
Download (untitled) / with headers
text/plain 102b
Hi Peter I've replaced Path::Tiny with File::Spec, in V 1.15: $soothe_ruffled_feathers = 1; Cheers
Download (untitled) / with headers
text/plain 1.3k
On Thu Sep 05 21:30:47 2013, RSAVAGE wrote: Show quoted text
> > $soothe_ruffled_feathers = 1; >
I figured I may as well say it: I do not appreciate the condescension. The "saga" and me writing you "4 emails" were a display of courtesy. I could have very well said "meh, his upgrade broke a lot of stuff - ball is in his court". Instead I dilligently updated you as the debugging session progressed, finishing with "hold off, we may be able to remove Tree::DAG_Node from the equation entirely". To underscore my point - this module is currently #98 of the CPAN Top 100 volatile[1] dists, clocking at 3396 modules (17% of CPAN) depending on it directly or indirectly. As such it is understandably subject to more scrutiny than the average CPAN dist, and also subject to a radically different set of "maximum reasonable dependency count". I am not even talking about things like 5.6/5.8 support - a dist in such a position can easily create installation loops which will be undetected on many developer machines due to some pieces of the puzzle (namely Test::Warn) already being installed. I really hope you see my opening of the bugreport for what it is - a call for cooperation and an attempt to maintain the overal health of the CPAN ecosystem. Cheers [1] http://ali.as/top100/ you need to click the "volatile" tab, no way to link directly :( Volatile here means "stuff that has the potential to break a lot of of other stuff"
Subject: Re: [rt.cpan.org #88435] Latest version has many superfluous dependencies, effectively makes dist require 5.12
Date: Fri, 06 Sep 2013 16:49:59 +1000
To: bug-Tree-DAG_Node [...] rt.cpan.org
From: Ron Savage <ron [...] savage.net.au>
Download (untitled) / with headers
text/plain 588b
Hi Peter On 06/09/13 16:40, Peter Rabbitson via RT wrote: Show quoted text
>> $soothe_ruffled_feathers = 1;
Show quoted text
> I figured I may as well say it: I do not appreciate the condescension.
I sorry you feel that way, but you've misunderstood. You've interpreted it as being all about you, and failed to see my side of it. It's an explicitly light-hearted comment. It means I'm not distressed by the (perhaps understandably) false belief that the module was defective, and that I'm prepared to do something to help, and quickly at that. 'Nuff said? -- Ron Savage http://savage.net.au/ Ph: 0421 920 622
Download (untitled) / with headers
text/plain 572b
On Fri Sep 06 02:50:15 2013, ron@savage.net.au wrote: Show quoted text
> Hi Peter > > On 06/09/13 16:40, Peter Rabbitson via RT wrote: >
> >> $soothe_ruffled_feathers = 1;
>
> > I figured I may as well say it: I do not appreciate the condescension.
> > I sorry you feel that way, but you've misunderstood. You've interpreted > it as being all about you, and failed to see my side of it. > > It's an explicitly light-hearted comment. >
In which case mea-culpa, I am happy to take your clarification at face value and to admit I misinterpreted your take on the situation ;) Cheers
Subject: Re: [rt.cpan.org #88435] Latest version has many superfluous dependencies, effectively makes dist require 5.12
Date: Sat, 07 Sep 2013 09:26:58 +1000
To: bug-Tree-DAG_Node [...] rt.cpan.org
From: Ron Savage <ron [...] savage.net.au>
Download (untitled) / with headers
text/plain 840b
Hi Peter On 06/09/13 17:48, Peter Rabbitson via RT wrote: Show quoted text
> Queue: Tree-DAG_Node > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=88435 > > > On Fri Sep 06 02:50:15 2013, ron@savage.net.au wrote:
>> Hi Peter >> >> On 06/09/13 16:40, Peter Rabbitson via RT wrote: >>
>> >> $soothe_ruffled_feathers = 1;
>>
>>> I figured I may as well say it: I do not appreciate the condescension.
>> >> I sorry you feel that way, but you've misunderstood. You've interpreted >> it as being all about you, and failed to see my side of it. >> >> It's an explicitly light-hearted comment. >>
> > In which case mea-culpa, I am happy to take your clarification at face value and to admit I misinterpreted your take on the situation ;)
All's well that ends well (forking Shakespeare). -- Ron Savage http://savage.net.au/ Ph: 0421 920 622


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.